summaryrefslogtreecommitdiffstats
path: root/abs/not_built/extra/community/deluge/deluged
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2012-12-01 18:26:09 (GMT)
committerJames Meyer <james.meyer@operamail.com>2012-12-01 18:26:22 (GMT)
commite2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37 (patch)
treebee3fe89f2988dd244e11791755e129aa8c03b14 /abs/not_built/extra/community/deluge/deluged
parent8132c218cfc1f1acb1c6d12154e0d4ca075e77f2 (diff)
downloadlinhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.zip
linhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.tar.gz
linhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.tar.bz2
Mass move of uncompiled packages to abs_not_built.
The will sit here for a bit, and then will be removed completely if no one claims them.
Diffstat (limited to 'abs/not_built/extra/community/deluge/deluged')
-rw-r--r--abs/not_built/extra/community/deluge/deluged43
1 files changed, 43 insertions, 0 deletions
diff --git a/abs/not_built/extra/community/deluge/deluged b/abs/not_built/extra/community/deluge/deluged
new file mode 100644
index 0000000..096d36a
--- /dev/null
+++ b/abs/not_built/extra/community/deluge/deluged
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/deluged
+
+[[ -f /var/run/deluged.pid ]] && PID=$(cat /var/run/deluged.pid)
+[[ -d /proc/$PID ]] || PID=
+
+case "$1" in
+ start)
+ stat_busy "Starting Deluge Daemon"
+ [[ -z $PID ]] && su -l -s /bin/sh -c "/usr/bin/deluged >/dev/null" $DELUGE_USER
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ sleep 1
+ echo $(pgrep -u $DELUGE_USER deluged) > /var/run/deluged.pid
+ add_daemon deluged
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Deluge Daemon"
+ [[ ! -z $PID ]] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm /var/run/deluged.pid
+ rm_daemon deluged
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
+